complexType "InterestRequirement"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | interestPeriod?, ((variationMargin, segregatedIndependentAmount?) | segregatedIndependentAmount)?
</...>

Content Model Elements (4):

  interestPeriod (in interestRequirement in requestInterest),
  segregatedIndependentAmount (in interestRequirement in requestInterest),
  segregatedIndependentAmount (in interestRequirement in requestInterest),
  variationMargin (in interestRequirement in requestInterest)

All Direct / Indirect Based Elements (1):

  interestRequirement (in requestInterest)

Known Usage Locations

- As direct type of elements (1):
  interestRequirement (in requestInterest)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="InterestRequirement"> <xsd:sequence> <xsd:element minOccurs="0" name="interestPeriod" type="InterestPeriod"/> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element name="variationMargin" type="InterestDirection"/> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="InterestDirection"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="InterestDirection"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
interestPeriod

  Type: | InterestPeriod, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="interestPeriod" type="InterestPeriod"/>

segregatedIndependentAmount

  Type: | InterestDirection, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="InterestDirection"/>

segregatedIndependentAmount

  Type: | InterestDirection, complex content

  segregated independent amount details for the interest direction
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="segregatedIndependentAmount" type="InterestDirection"/>

variationMargin

  Type: | InterestDirection, complex content

  variation margin details for the interest direction
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="variationMargin" type="InterestDirection"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.